/**
 * CONNECTION API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { Auto } from './auto';
import { Connection } from './connection';
import { Arret } from './arret';
import { Frequence } from './frequence';


export interface Trip { 
    ConnectionID?: number;
    Connection?: Connection;
    DepartureTime?: Date | null;
    ArrivalTime?: Date | null;
    FrequenceID?: number;
    Frequence?: Frequence;
    ListArrets?: Array<Arret> | null;
    AutoID?: number;
    Auto?: Auto;
    ID?: number;
}

